This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 209112 - Review Request: gspca - v4l2 kernel module driver for webcams
Review Request: gspca - v4l2 kernel module driver for webcams
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On: 209113
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-03 08:04 EDT by Parag AN(पराग)
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 00:03:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag AN(पराग) 2006-10-03 08:04:19 EDT
Spec URL: http://people.redhat.com/pnemade/gspca/gspca-kmod.spec
SRPM URL: http://people.redhat.com/pnemade/gspca/gspca-kmod-20060930-1.2.6.18_1.2708.fc6.src.rpm
Description: This is kernel module written using v4l2 APIs for webcams.
Comment 1 Parag AN(पराग) 2006-10-17 12:43:32 EDT
thl,
  I got information from gspca author 
Why Module is not in mainstream kernel and when it will be in kernel?
==>From the first times we have to deal with jpeg hardware, video jpeg (raw
jpeg) is not human readable. For some reason kernel people, did not want to play
with video decoding in the kernel. That is why, spca50x, spca5xx and now gspca
is outside the kernel tree. Now somethings have changed(with change of userspace
applications need to understand what a video compressor is) with v4l2, we can
forward the raw video to userspace, so maybe one day gspca will go in
the kernel.

what you think about this information? Is this sufficient or need more? Its
clear now that gspca will be coming in future releases of upstream kernel.
Comment 2 Thorsten Leemhuis 2006-10-17 13:41:13 EDT
Reply out of order:
(In reply to comment #1)
> Its clear now that gspca will be coming in future releases of upstream kernel.

Well, "so maybe one day will go in the kernel" doesn't sound as if there are
actual plans to work on the integration. A more clear statement would be much
more helpful.

> what you think about this information? Is this sufficient or need more? 

I can forward it to FESCo and we can discuss it. I suppose it's enough to get
some people rise their hands for "we allow this module in Extras". But there 
will also be some people that won't like this. I already know one particular
member that will say "this is not enough, I don't want this module in extras".
Comment 3 Josh Boyer 2006-10-17 21:12:40 EDT
I poked around in the tarball for gspca.  In the gspcav2 directory, which this
kmod is being built with, there is a file called ReadMe_First.  It contains the
following:

 			For developper only !!
			/*********************/
 Don't used, Can BURN your Linux Box and maybe loss all your data !!!
 /*******************************************************************/
 Enjoy V4L2 :)
 M.Xhaard

That doesn't give me warm fuzzy feelings.  Then there is the
README-KERNEL-UPTO-2.6.16 file in the Doc directory that talks about conflicts
with in-kernel drivers.

So given that:

1) The driver appears to be a development version only
2) There is documentation that talks of conflict with drivers that are already
in the kernel
3) There is no firm commitment from the driver developers to get this module
into the mainline kernel

I'm against including this in Extras.
Comment 4 Parag AN(पराग) 2006-10-31 00:48:24 EST
OK. 
thl, I request you then to close this bug with whatever resolution you want.
I got very much disappointed that many peoples are happily using this kmod and
still FESCO is not accepting this thing. I agree there is no firm commitment
when kmod will be included in main kernel.

Yes this kmod is development version but users of this kmod are very happy
(including me :) )

Comment 5 Josh Boyer 2006-12-14 14:09:22 EST
This was discussed in the FESCo meeting today.  The largest concern is the need
to get kmods in the upstream kernel (all kmods, not just this one).  After
further review and a few testimonials from some developers, we have decided to
approve this kmod for the period of one year.  We'll revisit this after that and
see what the status is.

Thank you for your submission, and good luck with your packaging!
Comment 6 Parag AN(पराग) 2006-12-14 21:02:33 EST
Thanks very much to FESCO members for approving this. Before proceeding further
on this review i think i should wait for FE-KMOD-APPROVED set on this bug.
Comment 7 Eric Tanguy 2006-12-18 13:57:35 EST
what will be the next step ? I hope to see this module in extras asap.
Comment 8 Josh Boyer 2006-12-18 16:26:02 EST
(In reply to comment #6)
> Thanks very much to FESCO members for approving this. Before proceeding further
> on this review i think i should wait for FE-KMOD-APPROVED set on this bug.

Set.  I should have done this earlier.  My mistake.
Comment 9 Parag AN(पराग) 2006-12-18 23:29:26 EST
Now i am looking for Sponsor. Is there any FESCO member watching this review can
review this package please?
Comment 10 Thorsten Leemhuis 2006-12-20 07:41:40 EST
(In reply to comment #9)
> Now i am looking for Sponsor. Is there any FESCO member watching this review can
> review this package please?

Just to clarify:

- Parag is sponsored already, so all we need is someone that reviews this package
- FESCo members are not needed, just someone with kmod-experiences (scop or I
for example) should do a quick ACK *after* the package was reviewed and aproved
Comment 11 Parag AN(पराग) 2007-04-15 01:03:11 EDT
Time to CLOSE this Package Review instead of seeing it as "Awaiting-for-review"
again and again every time Package Status wiki page updated.
I agree its huge work of maintaining kmod packages in Fedora as kernel releases
are very often and kmod packages need to be released for each releases.
After waiting/struggling long here even after getting approval from FESCO,
nobody like to review this package. Though I am sure that many peoples are using
gspca drivers but no one like to see this in Fedora.
Therefore CLOSING this package review.
Thanks to those who commented here and to FESCO for approving this kmod package.
 
Comment 12 Parag AN(पराग) 2007-04-15 01:15:20 EDT
Dunno How to CLOSE this bug (I mean which resolution to use?) 
Kindly CLOSE this Review without marking it as DEAD-Review Please.
Comment 13 Parag AN(पराग) 2007-04-16 00:03:46 EDT
I think Its CANTFIX.
Comment 14 Parag AN(पराग) 2007-06-04 23:05:40 EDT
I don't want this bug to be categorized  as DEADREVIEW. I had already commented
above same.
Its my wish now I don't want to submit this again besides its gaining more
popularity nowadays.
Removing FE-DEADREVIEW flag, as there is no condition written for reviews which
are in FE-NEW state and submitter is badly needed to see his package in Fedora.

Note You need to log in before you can comment on or make changes to this bug.